﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BDTAXR_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDTAXR_QUESTIONANSWER') 
 CREATE TABLE T_BDTAXR_QUESTIONANSWER (
FID BIGINT DEFAULT 0 NOT NULL,
FQUESCLASSIF VARCHAR(50) DEFAULT ' ' NOT NULL,
FPROBLEMDESC VARCHAR(2000) DEFAULT ' ' NOT NULL,
FPROBLEMTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTANDARDSCORE BIGINT DEFAULT 0 NOT NULL,
FOPTIONSET VARCHAR(50) DEFAULT ' ' NOT NULL,
FANSWER VARCHAR(2000) DEFAULT ' ' NOT NULL,
FFINALSCORE BIGINT DEFAULT 0 NOT NULL,
FQUESTIONNAIREID VARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCECHOICEID VARCHAR(50) DEFAULT ' ' NOT NULL,
FMETADATAID VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FMETADATANAME VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDTAXR_QUESTIONANSWER_L') 
 CREATE TABLE T_BDTAXR_QUESTIONANSWER_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FQUESCLASSIF VARCHAR(50) DEFAULT ' ' NOT NULL,
FPROBLEMDESC VARCHAR(2000) DEFAULT ' ' NOT NULL,
FANSWER VARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDTAXR_QUESTIONNAIRE') 
 CREATE TABLE T_BDTAXR_QUESTIONNAIRE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(50) DEFAULT ' ' NOT NULL,
FENDDATE DATETIME,
FSTARTDATE DATETIME,
FORG BIGINT DEFAULT 0 NOT NULL,
FUSEORG BIGINT DEFAULT 0 NOT NULL,
FAPPNAME BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDTAXR_QUESTIONNAIRE_L') 
 CREATE TABLE T_BDTAXR_QUESTIONNAIRE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BDTAXR_table.sql **/
