﻿/**Begin D:\PDMTOOLS\PDM_UPGRADE_1.3\PDM_UPGRADE\PDM1\BDTAXR_table.sql **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDTAXR_HISTORY_SBB')
 CREATE TABLE T_BDTAXR_HISTORY_SBB (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FNSRTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FBQYBTSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTCRETTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FMAINDATAID BIGINT DEFAULT 0 NOT NULL,
FBUSINESSNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FEWBLXH VARCHAR(50) DEFAULT ' ' NOT NULL,
FNSRSBH VARCHAR(50) DEFAULT ' ' NOT NULL,
FTEMPLATEID VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXLIMIT VARCHAR(50) DEFAULT ' ' NOT NULL,
FAPANAGE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSSHYMC VARCHAR(50) DEFAULT ' ' NOT NULL,
FFDDBRXM VARCHAR(150) DEFAULT ' ' NOT NULL,
FZCDZ VARCHAR(300) DEFAULT ' ' NOT NULL,
FSCJYDZ VARCHAR(300) DEFAULT ' ' NOT NULL,
FKHYH VARCHAR(120) DEFAULT ' ' NOT NULL,
FYHZH VARCHAR(50) DEFAULT ' ' NOT NULL,
FREGISTERTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FPHONENUM VARCHAR(50) DEFAULT ' ' NOT NULL,
FYSSR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNSRMC VARCHAR(50) DEFAULT ' ' NOT NULL,
FDATATYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBLX VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBRQ DATETIME,
FSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FDECLARETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FPAYTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FPAYDATE DATETIME,
FDECLARESTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FPAYSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXAUTHORITY BIGINT DEFAULT 0 NOT NULL,
FDECLAREDATE DATETIME,
FDECLARER BIGINT DEFAULT 0 NOT NULL,
FPAYER BIGINT DEFAULT 0 NOT NULL,
FDEFERPAYAPPLY CHAR(1) DEFAULT '0' NOT NULL,
FSJJE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQJJE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRISKSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FOPERATOR VARCHAR(50) DEFAULT ' ' NOT NULL,
FOPERATORNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FDECLAREDATA VARCHAR(255) DEFAULT ' ' NOT NULL,
FSBBID BIGINT DEFAULT 0 NOT NULL,
FDECLAREDATA_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDTAXR_TAXBUREAU_SBB') 
 CREATE TABLE T_BDTAXR_TAXBUREAU_SBB (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FNSRTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FBQYBTSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTCRETTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FMAINDATAID BIGINT DEFAULT 0 NOT NULL,
FBUSINESSNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FEWBLXH VARCHAR(50) DEFAULT ' ' NOT NULL,
FNSRSBH VARCHAR(50) DEFAULT ' ' NOT NULL,
FTEMPLATEID VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXLIMIT VARCHAR(50) DEFAULT ' ' NOT NULL,
FAPANAGE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSSHYMC VARCHAR(50) DEFAULT ' ' NOT NULL,
FFDDBRXM VARCHAR(150) DEFAULT ' ' NOT NULL,
FZCDZ VARCHAR(300) DEFAULT ' ' NOT NULL,
FSCJYDZ VARCHAR(300) DEFAULT ' ' NOT NULL,
FKHYH VARCHAR(120) DEFAULT ' ' NOT NULL,
FYHZH VARCHAR(50) DEFAULT ' ' NOT NULL,
FREGISTERTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FPHONENUM VARCHAR(50) DEFAULT ' ' NOT NULL,
FYSSR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNSRMC VARCHAR(50) DEFAULT ' ' NOT NULL,
FDATATYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBLX VARCHAR(50) DEFAULT ' ' NOT NULL,
FSBRQ DATETIME,
FSERIALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FDECLARETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FPAYTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FPAYDATE DATETIME,
FDECLARESTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FPAYSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXAUTHORITY BIGINT DEFAULT 0 NOT NULL,
FDECLAREDATE DATETIME,
FDECLARER BIGINT DEFAULT 0 NOT NULL,
FPAYER BIGINT DEFAULT 0 NOT NULL,
FDEFERPAYAPPLY CHAR(1) DEFAULT '0' NOT NULL,
FSJJE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQJJE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRISKSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FOPERATOR VARCHAR(50) DEFAULT ' ' NOT NULL,
FOPERATORNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FDECLAREDATA VARCHAR(255) DEFAULT ' ' NOT NULL,
FDECLAREDATA_TAG NCLOB,
FCOMPARESTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCONVERTSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End D:\PDMTOOLS\PDM_UPGRADE_1.3\PDM_UPGRADE\PDM1\BDTAXR_table.sql **/
