﻿/**Begin D:\PDMTOOLS\PDM_UPGRADE_1.3\PDM_UPGRADE\PDM1\BDTAXR_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDTAXR_RULEFETCH_SUM') 
 CREATE TABLE T_BDTAXR_RULEFETCH_SUM (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FRULETABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FRULEID VARCHAR(50) DEFAULT ' ' NOT NULL,
FRULEITEM VARCHAR(50) DEFAULT ' ' NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORIGINAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADJUSTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLASTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRULEFETCHMAINID BIGINT DEFAULT 0 NOT NULL,
FCREATER BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FREPORTITEM VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDTAXR_RULEFETCH_MAIN') 
 CREATE TABLE T_BDTAXR_RULEFETCH_MAIN (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FTEMPLATEID BIGINT DEFAULT 0 NOT NULL,
FCREATER BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDTAXR_RULEFETCH_EDIT') 
 CREATE TABLE T_BDTAXR_RULEFETCH_EDIT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRULENAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FADJUSTEXPLAIN VARCHAR(50) DEFAULT ' ' NOT NULL,
FPREADJUST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPOSTADJUST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREATOR BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FADJUSTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADJUSTTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FFETCHORG BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDTAXR_RULEFETCH_DETAIL') 
 CREATE TABLE T_BDTAXR_RULEFETCH_DETAIL (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FBIZNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FFETCHTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FFETCHDIRECTION VARCHAR(50) DEFAULT ' ' NOT NULL,
FABSOLUTE VARCHAR(50) DEFAULT ' ' NOT NULL,
FFILTERCONDITION VARCHAR(50) DEFAULT ' ' NOT NULL,
FFETCHAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORIGINAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDATASOURCE BIGINT DEFAULT 0 NOT NULL,
FAMOUNTFIELD BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDTAXR_RULEFETCH_CARD') 
 CREATE TABLE T_BDTAXR_RULEFETCH_CARD (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCARDNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FFETCHORG BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADJUSTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADJUSTEXPLAIN VARCHAR(50) DEFAULT ' ' NOT NULL,
FRULENAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FRULEID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\PDMTOOLS\PDM_UPGRADE_1.3\PDM_UPGRADE\PDM1\BDTAXR_table.sql **/
