﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BDTAXR_constraint.sql **/
 EXEC P_ALTERPK 'PK_BDTAXR_BILL_WHEREFIELD', 'T_BDTAXR_BILL_WHEREFIELD', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BDTAXR_BILL_WHEREFIELD_FK') CREATE INDEX IDX_BDTAXR_BILL_WHEREFIELD_FK ON T_BDTAXR_BILL_WHEREFIELD ( FID );


 EXEC P_ALTERPK 'PK_BDTAXR_BILL_FIELDS', 'T_BDTAXR_BILL_FIELDS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BDTAXR_BILL_FIELDS') CREATE INDEX IDX_BDTAXR_BILL_FIELDS ON T_BDTAXR_BILL_FIELDS ( FNUMBER ,FBILLNUMBER );


 EXEC P_ALTERPK 'PK_BADTAXR_RULE_ENTRY', 'T_BADTAXR_RULE_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BADTAXR_RULE_ENTRY_FK') CREATE INDEX IDX_BADTAXR_RULE_ENTRY_FK ON T_BADTAXR_RULE_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_BATAXR_DATASOURCE_GROUP', 'T_BATAXR_DATASOURCE_GROUP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BATAXR_DATASOURCE_GROUP') CREATE INDEX IDX_BATAXR_DATASOURCE_GROUP ON T_BATAXR_DATASOURCE_GROUP ( FNUMBER );


 EXEC P_ALTERPK 'PK_BATAXR_DATASOURCE_GROUP_L', 'T_BATAXR_DATASOURCE_GROUP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BATAXR_DATASOURCE_GROUP_L') CREATE INDEX IDX_BATAXR_DATASOURCE_GROUP_L ON T_BATAXR_DATASOURCE_GROUP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_BATAXR_MULT_TABLE', 'T_BATAXR_MULT_TABLE', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BATAXR_MULT_TABLE_FK') CREATE INDEX IDX_BATAXR_MULT_TABLE_FK ON T_BATAXR_MULT_TABLE ( FENTRYID );


 EXEC P_ALTERPK 'PK_BDTAXR_COMBO_ASSIST', 'T_BDTAXR_COMBO_ASSIST', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BDTAXR_COMBO_ASSIST') CREATE INDEX IDX_BDTAXR_COMBO_ASSIST ON T_BDTAXR_COMBO_ASSIST ( FNUMBER );


 EXEC P_ALTERPK 'PK_BDTAXR_COMBO_ASSIST_L', 'T_BDTAXR_COMBO_ASSIST_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BDTAXR_COMBO_ASSIST_L_0') CREATE INDEX IDX_BDTAXR_COMBO_ASSIST_L_0 ON T_BDTAXR_COMBO_ASSIST_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_BDTAXR_COMPARETYPE', 'T_BDTAXR_COMPARETYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BDTAXR_COMPARETYPE') CREATE INDEX IDX_BDTAXR_COMPARETYPE ON T_BDTAXR_COMPARETYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_BDTAXR_COMPARETYPE_L', 'T_BDTAXR_COMPARETYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BDTAXR_COMPARETYPE_L_0') CREATE INDEX IDX_BDTAXR_COMPARETYPE_L_0 ON T_BDTAXR_COMPARETYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_BDTAXR_CUSTOM_ENTRYDATA', 'T_BDTAXR_CUSTOM_ENTRYDATA', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BDTAXR_CUSTOM_ENTRYDATA') CREATE INDEX IDX_BDTAXR_CUSTOM_ENTRYDATA ON T_BDTAXR_CUSTOM_ENTRYDATA ( FID );


 EXEC P_ALTERPK 'PK_BDTAXR_DATASOURCE_CONF', 'T_BDTAXR_DATASOURCE_CONF', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BDTAXR_DATASOURCE_CONF') CREATE INDEX IDX_BDTAXR_DATASOURCE_CONF ON T_BDTAXR_DATASOURCE_CONF ( FNUMBER );


 EXEC P_ALTERPK 'PK_BDTAXR_DATASOURCE_CONF_L', 'T_BDTAXR_DATASOURCE_CONF_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BDTAXR_DATASOURCE_CONF_L_0') CREATE INDEX IDX_BDTAXR_DATASOURCE_CONF_L_0 ON T_BDTAXR_DATASOURCE_CONF_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_BDTAXR_DATASOURCE_ENTRY', 'T_BDTAXR_DATASOURCE_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BDTAXR_DATASOURCE_ENTRY') CREATE INDEX IDX_BDTAXR_DATASOURCE_ENTRY ON T_BDTAXR_DATASOURCE_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_BDTAXR_RULE_SETTING', 'T_BDTAXR_RULE_SETTING', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BDTAXR_RULE_SETTING') CREATE INDEX IDX_BDTAXR_RULE_SETTING ON T_BDTAXR_RULE_SETTING ( FNUMBER );


 EXEC P_ALTERPK 'PK_BDTAXR_RULE_SETTING_L', 'T_BDTAXR_RULE_SETTING_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BDTAXR_RULE_SETTING_L_0') CREATE INDEX IDX_BDTAXR_RULE_SETTING_L_0 ON T_BDTAXR_RULE_SETTING_L ( FID ,FLOCALEID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BDTAXR_constraint.sql **/
