﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BDTAXR_constraint.sql **/
 EXEC P_ALTERPK 'PK_BDTAXR_TAX_TYPE', 'T_BDTAXR_TAX_TYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BDTAXR_TAX_TYPE') CREATE INDEX IDX_BDTAXR_TAX_TYPE ON T_BDTAXR_TAX_TYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_BDTAXR_TAX_TYPE_L', 'T_BDTAXR_TAX_TYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BDTAXR_TAX_TYPE_L_0') CREATE INDEX IDX_BDTAXR_TAX_TYPE_L_0 ON T_BDTAXR_TAX_TYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_BDTAXR_TEMPLATE', 'T_BDTAXR_TEMPLATE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BDTAXR_TEMPLATE') CREATE INDEX IDX_BDTAXR_TEMPLATE ON T_BDTAXR_TEMPLATE ( FNUMBER ,FSTARTDATE ,FENDDATE );


 EXEC P_ALTERPK 'PK_BDTAXR_TEMPLATE_GROUP', 'T_BDTAXR_TEMPLATE_GROUP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BDTAXR_TEMPLATE_GROUP') CREATE INDEX IDX_BDTAXR_TEMPLATE_GROUP ON T_BDTAXR_TEMPLATE_GROUP ( FNUMBER );


 EXEC P_ALTERPK 'PK_BDTAXR_TEMPLATE_GROUP_L', 'T_BDTAXR_TEMPLATE_GROUP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BDTAXR_TEMPLATE_GROUP_L_0') CREATE INDEX IDX_BDTAXR_TEMPLATE_GROUP_L_0 ON T_BDTAXR_TEMPLATE_GROUP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_BDTAXR_TEMPLATE_L', 'T_BDTAXR_TEMPLATE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BDTAXR_TEMPLATE_L_0') CREATE INDEX IDX_BDTAXR_TEMPLATE_L_0 ON T_BDTAXR_TEMPLATE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_BDTAXR_TEMPLATE_TAXTYPE', 'T_BDTAXR_TEMPLATE_TAXTYPE', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BDTAXR_TEMPLATE_TAXTYPE_FK') CREATE INDEX IDX_BDTAXR_TEMPLATE_TAXTYPE_FK ON T_BDTAXR_TEMPLATE_TAXTYPE ( FID );


 EXEC P_ALTERPK 'PK_BDTAXR_TEMPLATETYPE', 'T_BDTAXR_TEMPLATETYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BDTAXR_TEMPLATETYPE') CREATE INDEX IDX_BDTAXR_TEMPLATETYPE ON T_BDTAXR_TEMPLATETYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_BDTAXR_TEMPLATETYPE_DET', 'T_BDTAXR_TEMPLATETYPE_DET', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BDTAXR_TEMPLATETYPE_DET_FK') CREATE INDEX IDX_BDTAXR_TEMPLATETYPE_DET_FK ON T_BDTAXR_TEMPLATETYPE_DET ( FID );


 EXEC P_ALTERPK 'PK_BDTAXR_BILLTAX_ADDRESS', 'T_BDTAXR_BILLTAX_ADDRESS', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BDTAXR_BILLTAX_ADDRESS_FK') CREATE INDEX IDX_BDTAXR_BILLTAX_ADDRESS_FK ON T_BDTAXR_BILLTAX_ADDRESS ( FID );


 EXEC P_ALTERPK 'PK_BDTAXR_BILLTAX_CONFIGS', 'T_BDTAXR_BILLTAX_CONFIGS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BDTAXR_BILLTAX_CONFIGS') CREATE INDEX IDX_BDTAXR_BILLTAX_CONFIGS ON T_BDTAXR_BILLTAX_CONFIGS ( FNUMBER );


 EXEC P_ALTERPK 'PK_BDTAXR_BILLTAX_CONFIGS_L', 'T_BDTAXR_BILLTAX_CONFIGS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BDTAXR_BILLTAX_CONFIGS_L_0') CREATE INDEX IDX_BDTAXR_BILLTAX_CONFIGS_L_0 ON T_BDTAXR_BILLTAX_CONFIGS_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_BDTAXR_BILLTAX_ELEMENT', 'T_BDTAXR_BILLTAX_ELEMENT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BDTAXR_BILLTAX_ELEMENT_FK') CREATE INDEX IDX_BDTAXR_BILLTAX_ELEMENT_FK ON T_BDTAXR_BILLTAX_ELEMENT ( FID );


 EXEC P_ALTERPK 'PK_BDTAXR_BILLTAX_PARTY', 'T_BDTAXR_BILLTAX_PARTY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BDTAXR_BILLTAX_PARTY_FK') CREATE INDEX IDX_BDTAXR_BILLTAX_PARTY_FK ON T_BDTAXR_BILLTAX_PARTY ( FID );


 EXEC P_ALTERPK 'PK_BDTAXR_BILLTAX_PRODUCT', 'T_BDTAXR_BILLTAX_PRODUCT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BDTAXR_BILLTAX_PRODUCT_FK') CREATE INDEX IDX_BDTAXR_BILLTAX_PRODUCT_FK ON T_BDTAXR_BILLTAX_PRODUCT ( FID );


 EXEC P_ALTERPK 'PK_BDTAXR_WHERE_FIELDS_L', 'T_BDTAXR_WHERE_FIELDS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BDTAXR_WHERE_FIELDS_L_0') CREATE INDEX IDX_BDTAXR_WHERE_FIELDS_L_0 ON T_BDTAXR_WHERE_FIELDS_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_BDTAXR_WHERE_FIELDS', 'T_BDTAXR_WHERE_FIELDS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BDTAXR_WHERE_FIELDSA') CREATE INDEX IDX_BDTAXR_WHERE_FIELDSA ON T_BDTAXR_WHERE_FIELDS ( FBILLNUMBER );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BDTAXR_constraint.sql **/
