﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BDTAXR_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDTAXR_TAX_TYPE') 
 CREATE TABLE T_BDTAXR_TAX_TYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDTAXR_TAX_TYPE_L') 
 CREATE TABLE T_BDTAXR_TAX_TYPE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDTAXR_TEMPLATE') 
 CREATE TABLE T_BDTAXR_TEMPLATE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FCONTENT VARCHAR(255) DEFAULT ' ' NOT NULL,
FCONTENT_TAG NCLOB,
FHTML VARCHAR(255) DEFAULT ' ' NOT NULL,
FHTML_TAG NCLOB,
FTYPE VARCHAR(36) DEFAULT ' ' NOT NULL,
FFORMULA VARCHAR(255) DEFAULT ' ' NOT NULL,
FFORMULA_TAG NCLOB,
FCOUNTRY BIGINT DEFAULT 0 NOT NULL,
FGROUP BIGINT DEFAULT 0 NOT NULL,
FMODIFIER BIGINT DEFAULT 0 NOT NULL,
FCREATER BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FISSYSTEM VARCHAR(50) DEFAULT ' ' NOT NULL,
FDATA VARCHAR(255) DEFAULT ' ' NOT NULL,
FDATA_TAG NCLOB,
FISSAVEDB VARCHAR(50) DEFAULT ' ' NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDTAXR_TEMPLATE_GROUP') 
 CREATE TABLE T_BDTAXR_TEMPLATE_GROUP (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDTAXR_TEMPLATE_GROUP_L') 
 CREATE TABLE T_BDTAXR_TEMPLATE_GROUP_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDTAXR_TEMPLATE_L') 
 CREATE TABLE T_BDTAXR_TEMPLATE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDTAXR_TEMPLATE_TAXTYPE') 
 CREATE TABLE T_BDTAXR_TEMPLATE_TAXTYPE (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID VARCHAR(36) DEFAULT ' ' NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDTAXR_TEMPLATETYPE') 
 CREATE TABLE T_BDTAXR_TEMPLATETYPE (
FID VARCHAR(36) DEFAULT ' ' NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FMAINTABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FUNIQUETYPE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDTAXR_TEMPLATETYPE_DET') 
 CREATE TABLE T_BDTAXR_TEMPLATETYPE_DET (
FID VARCHAR(36) DEFAULT ' ' NOT NULL,
FENTRYID VARCHAR(36) DEFAULT ' ' NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FENTITYID VARCHAR(50) DEFAULT ' ' NOT NULL,
FENTITYNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDTAXR_BILLTAX_ADDRESS') 
 CREATE TABLE T_BDTAXR_BILLTAX_ADDRESS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FADDRESSSOURCE VARCHAR(36) DEFAULT ' ' NOT NULL,
FADDRESSFIELD BIGINT DEFAULT 0 NOT NULL,
FCONDITIONTYPE BIGINT DEFAULT 0 NOT NULL,
FADDRESSSOURCEKEY VARCHAR(100) DEFAULT ' ' NOT NULL,
FADDRESSFIELDKEY VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDTAXR_BILLTAX_CONFIGS') 
 CREATE TABLE T_BDTAXR_BILLTAX_CONFIGS (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORG BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(50) DEFAULT ' ' NOT NULL,
FCOUNTRY BIGINT DEFAULT 0 NOT NULL,
FCALLBILL VARCHAR(36) DEFAULT ' ' NOT NULL,
FCALLCONDITIONJSON VARCHAR(2000) DEFAULT ' ' NOT NULL,
FCALLBILLKEY VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDTAXR_BILLTAX_CONFIGS_L') 
 CREATE TABLE T_BDTAXR_BILLTAX_CONFIGS_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDTAXR_BILLTAX_ELEMENT') 
 CREATE TABLE T_BDTAXR_BILLTAX_ELEMENT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FELEMENTSOURCE VARCHAR(36) DEFAULT ' ' NOT NULL,
FELEMENTCONDITION VARCHAR(2000) DEFAULT ' ' NOT NULL,
FPROCESSTYPE BIGINT DEFAULT 0 NOT NULL,
FPROCESS BIGINT DEFAULT 0 NOT NULL,
FELEMENTCONDITIONJSON VARCHAR(2000) DEFAULT ' ' NOT NULL,
FELEMENTSOURCEKEY VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDTAXR_BILLTAX_PARTY') 
 CREATE TABLE T_BDTAXR_BILLTAX_PARTY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPARTYSOURCE VARCHAR(36) DEFAULT ' ' NOT NULL,
FPARTYCONDITION VARCHAR(2000) DEFAULT ' ' NOT NULL,
FPARTYTYPE BIGINT DEFAULT 0 NOT NULL,
FPARTY BIGINT DEFAULT 0 NOT NULL,
FPARTYCONDITIONJSON VARCHAR(2000) DEFAULT ' ' NOT NULL,
FPARTYSOURCEKEY VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDTAXR_BILLTAX_PRODUCT') 
 CREATE TABLE T_BDTAXR_BILLTAX_PRODUCT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPRODUCTSOURCE VARCHAR(36) DEFAULT ' ' NOT NULL,
FPRODUCTFIELD BIGINT DEFAULT 0 NOT NULL,
FPRODUCTCONDITION VARCHAR(2000) DEFAULT ' ' NOT NULL,
FCONVERTTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FPRODUCT BIGINT DEFAULT 0 NOT NULL,
FPRODUCTCONDITIONJSON VARCHAR(2000) DEFAULT ' ' NOT NULL,
FPRODUCTSOURCEKEY VARCHAR(100) DEFAULT ' ' NOT NULL,
FPRODUCTFIELDKEY VARCHAR(100) DEFAULT ' ' NOT NULL,
FVALUERULES BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDTAXR_WHERE_FIELDS_L') 
 CREATE TABLE T_BDTAXR_WHERE_FIELDS_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFULLNAME NVARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDTAXR_WHERE_FIELDS') 
 CREATE TABLE T_BDTAXR_WHERE_FIELDS (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(700) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FLONGNUMBER VARCHAR(2000) DEFAULT ' ' NOT NULL,
FLEVEL BIGINT DEFAULT 0 NOT NULL,
FISLEAF CHAR(1) DEFAULT ' ' NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FBILLNAME VARCHAR(200) DEFAULT ' ' NOT NULL,
FBILLNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FFIELDTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FREFENTITYKEY VARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BDTAXR_table.sql **/
