﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BDTAXR_constraint.sql **/
 EXEC P_ALTERPK 'PK_BDTAXR_FORMULA', 'T_BDTAXR_FORMULA', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BDTAXR_FORMULA_KEY') CREATE INDEX IDX_BDTAXR_FORMULA_KEY ON T_BDTAXR_FORMULA ( FFORMULAKEY );


 EXEC P_ALTERPK 'PK_BDTAXR_TEMPLATE_DYNROW', 'T_BDTAXR_TEMPLATE_DYNROW', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BDTAXR_TEMPLATE_DYNROW') CREATE INDEX IDX_BDTAXR_TEMPLATE_DYNROW ON T_BDTAXR_TEMPLATE_DYNROW ( FTEMPLATE_ID );


 EXEC P_ALTERPK 'PK_BDTAXR_BILLTAXLOG', 'T_BDTAXR_BILLTAXLOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BDTAXR_BILLTAXLOG') CREATE INDEX IDX_BDTAXR_BILLTAXLOG ON T_BDTAXR_BILLTAXLOG ( FNUMBER );


 EXEC P_ALTERPK 'PK_BDTAXR_BILLTAXLOG_L', 'T_BDTAXR_BILLTAXLOG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BDTAXR_BILLTAXLOG_L_0') CREATE INDEX IDX_BDTAXR_BILLTAXLOG_L_0 ON T_BDTAXR_BILLTAXLOG_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_BDTAXR_LOGCONTENT', 'T_BDTAXR_LOGCONTENT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BDTAXR_LOGCONTENT') CREATE INDEX IDX_BDTAXR_LOGCONTENT ON T_BDTAXR_LOGCONTENT ( FNUMBER );


 EXEC P_ALTERPK 'PK_BDTAXR_LOGDETAIL', 'T_BDTAXR_LOGDETAIL', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_BDTAXR_LOGDETAIL_FK') CREATE INDEX IDX_BDTAXR_LOGDETAIL_FK ON T_BDTAXR_LOGDETAIL ( FID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BDTAXR_constraint.sql **/
