﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BDTAXR_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDTAXR_FORMULA') 
 CREATE TABLE T_BDTAXR_FORMULA (
FID BIGINT DEFAULT 0 NOT NULL,
FFORMULAKEY VARCHAR(200) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(500) DEFAULT ' ' NOT NULL,
FFORMULA VARCHAR(4000) DEFAULT ' ' NOT NULL,
FFORMULANAME VARCHAR(4000) DEFAULT ' ' NOT NULL,
FDESCRIBE VARCHAR(200) DEFAULT ' ' NOT NULL,
FTEMPLATEID VARCHAR(100) DEFAULT ' ' NOT NULL,
FTABLE VARCHAR(100) DEFAULT ' ' NOT NULL,
FROW VARCHAR(100) DEFAULT ' ' NOT NULL,
FCOLUMN VARCHAR(100) DEFAULT ' ' NOT NULL,
FTAXTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FFORMULATYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FTITLE VARCHAR(100) DEFAULT ' ' NOT NULL,
FCONTENT VARCHAR(1000) DEFAULT ' ' NOT NULL,
FCELLTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FTEMPLATENUM VARCHAR(100) DEFAULT ' ' NOT NULL,
FUPDATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDTAXR_TEMPLATE_DYNROW') 
 CREATE TABLE T_BDTAXR_TEMPLATE_DYNROW (
FID BIGINT DEFAULT 0 NOT NULL,
FTEMPLATE_ID BIGINT DEFAULT 0 NOT NULL,
FDYNROW_NO VARCHAR(50) DEFAULT ' ' NOT NULL,
FRULE_ID BIGINT DEFAULT 0 NOT NULL,
FRULE_NAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FSTART_ROW INT DEFAULT 0 NOT NULL,
FCREATOR BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIER BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FENABLE VARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDTAXR_BILLTAXLOG') 
 CREATE TABLE T_BDTAXR_BILLTAXLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(200) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FBILLLNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDTAXR_BILLTAXLOG_L') 
 CREATE TABLE T_BDTAXR_BILLTAXLOG_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(250) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDTAXR_LOGCONTENT') 
 CREATE TABLE T_BDTAXR_LOGCONTENT (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(34) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FBILLTAXLOG BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDTAXR_LOGDETAIL') 
 CREATE TABLE T_BDTAXR_LOGDETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSTEP VARCHAR(50) DEFAULT ' ' NOT NULL,
FLOGCONTENT VARCHAR(1500) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BDTAXR_table.sql **/
