﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BDTAXR_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDTAXR_BATCH_RULE_GROUP') 
 CREATE TABLE T_BDTAXR_BATCH_RULE_GROUP (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDTAXR_RULE_GROUP') 
 CREATE TABLE T_BDTAXR_RULE_GROUP (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


 EXEC p_AlterColumn 'T_BDTAXR_DATASOURCE_CONF', 'FBIZNAME', 'VARCHAR(200)', 'NOT NULL', '0100', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BDTAXR_LOGCONTENT' AND KSQL_COL_NAME ='FTAXCODELINELOG') 
 ALTER TABLE T_BDTAXR_LOGCONTENT ADD (FTAXCODELINELOG VARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BDTAXR_LOGCONTENT' AND KSQL_COL_NAME ='FTAXCODELINELOG_TAG') 
 ALTER TABLE T_BDTAXR_LOGCONTENT ADD (FTAXCODELINELOG_TAG NCLOB );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BDTAXR_BILLTAXLOG' AND KSQL_COL_NAME ='FLOGNUMBER') 
 ALTER TABLE T_BDTAXR_BILLTAXLOG ADD (FLOGNUMBER VARCHAR(200) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BDTAXR_BILLTAXLOG' AND KSQL_COL_NAME ='FTAXRESULTS') 
 ALTER TABLE T_BDTAXR_BILLTAXLOG ADD (FTAXRESULTS VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDTAXR_TEMPLATE_MAIN') 
 CREATE TABLE T_BDTAXR_TEMPLATE_MAIN (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FTYPE VARCHAR(36) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FCONTENT VARCHAR(2000) DEFAULT ' ' NOT NULL,
FCONTENT_TAG NCLOB,
FHTML VARCHAR(2000) DEFAULT ' ' NOT NULL,
FHTML_TAG NCLOB,
FUPDATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDTAXR_TEMPLATE_MAIN_L') 
 CREATE TABLE T_BDTAXR_TEMPLATE_MAIN_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BDTAXR_TEMPLATE_DYNROW' AND KSQL_COL_NAME ='FGROUP_NO') 
 ALTER TABLE T_BDTAXR_TEMPLATE_DYNROW ADD (FGROUP_NO VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BDTAXR_TEMPLATE_DYNROW' AND KSQL_COL_NAME ='FSEQ_NO') 
 ALTER TABLE T_BDTAXR_TEMPLATE_DYNROW ADD (FSEQ_NO BIGINT DEFAULT 0 NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BDTAXR_table.sql **/
