﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BDTAXR_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDTAXR_DATA_CHECKSET') 
 CREATE TABLE T_BDTAXR_DATA_CHECKSET (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCHECKDATA VARCHAR(36) DEFAULT ' ' NOT NULL,
FOPERATION VARCHAR(50) DEFAULT ' ' NOT NULL,
FCONDITION VARCHAR(255) DEFAULT ' ' NOT NULL,
FPERIOD BIGINT DEFAULT 0 NOT NULL,
FRECEIVER BIGINT DEFAULT 0 NOT NULL,
FRANGE VARCHAR(255) DEFAULT ' ' NOT NULL,
FCONDITIONJSON VARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDTAXR_DATACHANGE_CHECK') 
 CREATE TABLE T_BDTAXR_DATACHANGE_CHECK (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCHECKDATA VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTART DATETIME,
FEND DATETIME,
FCOUNT BIGINT DEFAULT 0 NOT NULL,
FRANGE VARCHAR(2000) DEFAULT ' ' NOT NULL,
FPROCESSSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FPROCESSCER BIGINT DEFAULT 0 NOT NULL,
FPROCESSTIME DATETIME,
FOPINION VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDTAXR_DATA_CHECKSET_L') 
 CREATE TABLE T_BDTAXR_DATA_CHECKSET_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDTAXR_DATACHANGE_CHECK_L') 
 CREATE TABLE T_BDTAXR_DATACHANGE_CHECK_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDTAXR_DATACHECK_ITEMS') 
 CREATE TABLE T_BDTAXR_DATACHECK_ITEMS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FITEMNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FITEMNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BDTAXR_LOGCONTENT' AND KSQL_COL_NAME ='FBUSINESSLOG') 
 ALTER TABLE T_BDTAXR_LOGCONTENT ADD (FBUSINESSLOG VARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_BDTAXR_LOGCONTENT' AND KSQL_COL_NAME ='FBUSINESSLOG_TAG') 
 ALTER TABLE T_BDTAXR_LOGCONTENT ADD (FBUSINESSLOG_TAG NCLOB );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BDTAXR_table.sql **/
