﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BDTAXR_constraint.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDTAXR_SOURCE_MAPPING') 
 CREATE TABLE T_BDTAXR_SOURCE_MAPPING (
FID BIGINT DEFAULT 0 NOT NULL,
FSBBID BIGINT DEFAULT 0 NOT NULL,
FTAXSOURCETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXSOURCEID BIGINT DEFAULT 0 NOT NULL,
FTAXTYPE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDTAXR_SOURCE_RELATION') 
 CREATE TABLE T_BDTAXR_SOURCE_RELATION (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSOURCE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCETEMP VARCHAR(50) DEFAULT ' ' NOT NULL,
FRELATIONTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FAPPLYTEMPLATES VARCHAR(50) DEFAULT ' ' NOT NULL,
FMAPPINGFIELD VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDTAXR_SOURCE_RELATION_L') 
 CREATE TABLE T_BDTAXR_SOURCE_RELATION_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCTB_DECLARE_MAIN' AND KSQL_COL_NAME ='FSBBID')
 ALTER TABLE T_TCTB_DECLARE_MAIN ADD (FSBBID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCTB_DECLARE_MAIN' AND KSQL_COL_NAME ='FTAXSOURCEID')
 ALTER TABLE T_TCTB_DECLARE_MAIN ADD (FTAXSOURCEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCTB_DECLARE_MAIN' AND KSQL_COL_NAME ='FTAXSOURCETYPE')
 ALTER TABLE T_TCTB_DECLARE_MAIN ADD (FTAXSOURCETYPE VARCHAR(50) DEFAULT ' ' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\BDTAXR_constraint.sql **/
